package wenrgise.hrms.ejb.facade;

import java.rmi.RemoteException;
import java.sql.Timestamp;
import java.util.ArrayList;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import wenrgise.common.bean.BaseHeaderBean;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.common.utility.RecordMetaInfo;
import wenrgise.common.utility.UserInfo;
import wenrgise.common.vo.LovQueryVO;
import wenrgise.common.vo.LovVO;
import wenrgise.hrms.bean.HrmAppTempHdrBean;
import wenrgise.hrms.bean.HrmAppraisalKPAHdrBean;
import wenrgise.hrms.bean.HrmAprslHdrBean;
import wenrgise.hrms.bean.HrmAprslSpcTmplHdrBean;
import wenrgise.hrms.bean.HrmAprslStartOrderHdrBean;
import wenrgise.hrms.bean.HrmAprslStartRuleHdrBean;
import wenrgise.hrms.ejb.business.HrmAppTempBusinessObject;
import wenrgise.hrms.ejb.business.HrmApprisalKPABO;
import wenrgise.hrms.ejb.business.HrmAprslBO;
import wenrgise.hrms.ejb.business.HrmAprslSpcTmplBO;
import wenrgise.hrms.ejb.business.HrmAprslStartOrderBO;
import wenrgise.hrms.ejb.business.HrmAprslStartRuleBO;
import wenrgise.hrms.vo.HrmAppTempQueryVO;
import wenrgise.hrms.vo.HrmAppraisalKPAQVO;
import wenrgise.hrms.vo.HrmAprslQVO;
import wenrgise.hrms.vo.HrmAprslSpcTmplQVO;
import wenrgise.hrms.vo.HrmAprslStartOrderQVO;
import wenrgise.hrms.vo.HrmAprslStartRuleQVO;

public class HrmPerformanceAppraisalFacadeBean implements SessionBean {
  SessionContext ctx;
  
  public void ejbCreate() {}
  
  public void ejbActivate() {}
  
  public void ejbPassivate() {}
  
  public void ejbRemove() {}
  
  public void setSessionContext(SessionContext ctx) {
    this.ctx = ctx;
  }
  
  public RecordMetaInfo getHrmEmpAprslHdrMetaInfo(HrmAprslQVO oHrmAprslQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslHdrMetaInfo(oHrmAprslQVO);
  }
  
  public ArrayList getHrmEmpAprslHdrInfo(HrmAprslQVO oHrmAprslQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAprslBO oHrmAprslBO = new HrmAprslBO();
      return oHrmAprslBO.getHrmAprslHeaderInfo(oHrmAprslQVO, lStartPosition, lLastPosition);
    } catch (RemoteException oRe) {
      throw new EnrgiseSystemException();
    } 
  }
  
  public RecordMetaInfo getHrmEmpAprslKPADetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslKPADtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmEmpAprslKPADetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrAprslKPADetail(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmEmpAprslGoalsDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslGoalsDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmEmpAprslGoalsDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrAprslGoalsDetail(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmAprslTrngReqDtlMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslTrngReqDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrAprslTrngReqDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrAprslTrngReqDetail(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public ArrayList getHrAprslEmpPerDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrAprslEmpPerDetail(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public String saveData(HrmAprslHdrBean oHrmAprslHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAprslBO oHrmAprslBO = new HrmAprslBO(oUserInfo);
      return oHrmAprslBO.saveData((BaseHeaderBean)oHrmAprslHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public LovVO getHrmAprslStartOrderLOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslStartOrderLOVData(oLovQueryVO);
  }
  
  public LovVO getEmpAprslStOrderLOVQ(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getEmpAprslStOrderLOVQ(oLovQueryVO);
  }
  
  public LovVO getEmpAprslStOrderLOVI(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getEmpAprslStOrderLOVI(oLovQueryVO);
  }
  
  public LovVO getHrmAprslRating0LOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslRatingLevel0LOVData(oLovQueryVO);
  }
  
  public LovVO getHrmAprslRating1LOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslRatingLevel1LOVData(oLovQueryVO);
  }
  
  public LovVO getHrmAprslRating2LOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslRatingLevel2LOVData(oLovQueryVO);
  }
  
  public LovVO getHrmAprslRating3LOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslRatingLevel3LOVData(oLovQueryVO);
  }
  
  public LovVO getHrmAprslRating4LOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslRatingLevel4LOVData(oLovQueryVO);
  }
  
  public LovVO getHrmAprslRating5LOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslRatingLevel5LOVData(oLovQueryVO);
  }
  
  public String calEmpFinRating(HrmAprslHdrBean oHrmAprslHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAprslBO oHrmAprslBO = new HrmAprslBO();
      return oHrmAprslBO.calFinalRating((BaseHeaderBean)oHrmAprslHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public String approveEmpAprsl(HrmAprslHdrBean oHrmAprslHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAprslBO oHrmAprslBO = new HrmAprslBO(oUserInfo);
      return oHrmAprslBO.approveEmpAprsl((BaseHeaderBean)oHrmAprslHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public String rejectEmpAprsl(HrmAprslHdrBean oHrmAprslHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAprslBO oHrmAprslBO = new HrmAprslBO(oUserInfo);
      return oHrmAprslBO.rejectEmpAprsl((BaseHeaderBean)oHrmAprslHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public boolean chkHrmAppRecByRatingId(String sRatingId) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.chkHrmAppTempHdrByRatingIdCount(sRatingId);
  }
  
  public void updateAppTempHdr(String sSql, String sId, String sUserId, String sUserSiteId) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    oHrmAppTempBusinessObject.updateAppTempHdrMst(sSql, sId, sUserId, sUserSiteId);
  }
  
  public RecordMetaInfo getHrmAppTemplateHeaderMetaInfo(HrmAppTempQueryVO oHrmAppTempQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrmAppTemplateHdrMetaInfo(oHrmAppTempQueryVO);
  }
  
  public ArrayList getHrmAppTemplateHeader(HrmAppTempQueryVO oHrmAppTempQueryVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrmAppTempHeaderInfo(oHrmAppTempQueryVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmAppTempSecDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrmAppTempSecDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmAppTempSecDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrmAppTempSecDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public LovVO getHrmAprslTmplNameLOVInfo(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrmAprslTmplNameLOVInfo(oLovQueryVO);
  }
  
  public LovVO getHrmAprslSecCodeLOVInfo(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrmAprslSecCodeLOVInfo(oLovQueryVO);
  }
  
  public LovVO getHrmAprslKPALOVInfo(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrmAprslKPALOVInfo(oLovQueryVO);
  }
  
  public LovVO getHrmAprslParentCodeLOVInfo(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrmAprslParentCodeLOVInfo(oLovQueryVO);
  }
  
  public String saveData(HrmAppTempHdrBean oHrmAppTempHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject(oUserInfo);
      return oHrmAppTempBusinessObject.saveData((BaseHeaderBean)oHrmAppTempHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmAppTempSecKPADtlMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getAppTempSecKPADetailMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmAppTempSecKPADtlInfo(String lPrimaryKey, long lDetailFirstPosition, long lDetailLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrAppTempSecKPADetail(lPrimaryKey, lDetailFirstPosition, lDetailLastPosition);
  }
  
  public String approveHrmAprslTmplMst(HrmAppTempHdrBean oHrmAppTempHdrBean, String sScreenName) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
      return oHrmAppTempBusinessObject.approveHrmAprslTmpMst((BaseHeaderBean)oHrmAppTempHdrBean, sScreenName);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmAppRaisalKpaHeaderMetaInfo(HrmAppraisalKPAQVO oHrmAppraisalKPAQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmApprisalKPABO oHrmApprisalKPABO = new HrmApprisalKPABO();
    return oHrmApprisalKPABO.getHrmAppRaisalKpaHeaderMetaInfo(oHrmAppraisalKPAQVO);
  }
  
  public ArrayList getHrmAppRaisalKpaHeader(HrmAppraisalKPAQVO oHrmAppraisalKPAQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmApprisalKPABO oHrmApprisalKPABO = new HrmApprisalKPABO();
    return oHrmApprisalKPABO.getHrmAppRaisalKpaHeader(oHrmAppraisalKPAQVO, lStartPosition, lLastPosition);
  }
  
  public String saveHrmAppRaisalKpa(HrmAppraisalKPAHdrBean oHrmAppraisalKPAHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmApprisalKPABO oHrmApprisalKPABO = new HrmApprisalKPABO(oUserInfo);
      return oHrmApprisalKPABO.saveData((BaseHeaderBean)oHrmAppraisalKPAHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmAppRaisalKpaDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmApprisalKPABO oHrmApprisalKPABO = new HrmApprisalKPABO();
    return oHrmApprisalKPABO.getHrmAppRaisalKpaDetailMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmAppRaisalKpaDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmApprisalKPABO oHrmApprisalKPABO = new HrmApprisalKPABO();
    return oHrmApprisalKPABO.getHrmAppRaisalKpaDetail(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public LovVO getHrmAppRaisalKpaWorkGrpLOVQrydata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmApprisalKPABO oHrmApprisalKPABO = new HrmApprisalKPABO();
    return oHrmApprisalKPABO.getQueryAppraisalWorkGrpLOVData(oLovQueryVO);
  }
  
  public String getHrmAppRaisalKpaExactWeightage(String sHeaderPrimKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmApprisalKPABO oHrmApprisalKPABO = new HrmApprisalKPABO();
      return oHrmApprisalKPABO.checkWeightageValidation(sHeaderPrimKey);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmAprslStOrderMetaInfo(HrmAprslStartOrderQVO oHrmAprslStartOrderQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartOrderBO oHrmAprslStartOrderBO = new HrmAprslStartOrderBO();
    return oHrmAprslStartOrderBO.getHrmAprslStOrderMetaInfo(oHrmAprslStartOrderQVO);
  }
  
  public ArrayList getHrmAprslStOrderInfo(HrmAprslStartOrderQVO oHrmAprslStartOrderQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartOrderBO oHrmAprslStartOrderBO = new HrmAprslStartOrderBO();
    return oHrmAprslStartOrderBO.getHrmAprslStOrderInfo(oHrmAprslStartOrderQVO, lStartPosition, lLastPosition);
  }
  
  public String saveData(HrmAprslStartOrderHdrBean oHrmAprslStartOrderHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartOrderBO oHrmAprslStartOrderBO = new HrmAprslStartOrderBO(oUserInfo);
    return oHrmAprslStartOrderBO.saveData((BaseHeaderBean)oHrmAprslStartOrderHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
  }
  
  public LovVO getHrmAprslStOrderNoLOVQrydata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartOrderBO oHrmAprslStartOrderBO = new HrmAprslStartOrderBO();
    return oHrmAprslStartOrderBO.getHrmAprslStOrderNoLOVQrydata(oLovQueryVO);
  }
  
  public RecordMetaInfo getHrmAprslStRuleHdrMetaInfo(HrmAprslStartRuleQVO oHrmAprslStartRuleQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    return oHrmAprslStartRuleBO.getHrmAprslRuleHdrMetaInfo(oHrmAprslStartRuleQVO);
  }
  
  public ArrayList getHrmAprslStRuleHeader(HrmAprslStartRuleQVO oHrmAprslStartRuleQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    return oHrmAprslStartRuleBO.getHrmAprslRuleHeaderInfo(oHrmAprslStartRuleQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmAprslStRuleDtlMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    return oHrmAprslStartRuleBO.getHrmAprslRuleDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmAprslStRuleDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    return oHrmAprslStartRuleBO.getHrmAprslRuleDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public String saveData(HrmAprslStartRuleHdrBean oHrmAprslStartRuleHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO(oUserInfo);
      return oHrmAprslStartRuleBO.saveData((BaseHeaderBean)oHrmAprslStartRuleHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public LovVO getClsMstData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getClsMstData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getClsDtlData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getClsDtlData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getClsMstDataQ(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getClsMstDataQ(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getClsDtlDataQ(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getClsDtlDataQ(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getEmployeeLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getEmployeeLOVData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getQueryEmployeeLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getQueryEmployeeLOVData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getQueryStOrdLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getQueryStOrdLOVData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getQueryWrkGrpLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getQueryWrkGrpLOVData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getQuerySiteCodeLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getQuerySiteCodeLOVData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getWrkGrpLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslStartRuleBO oHrmAprslStartRuleBO = new HrmAprslStartRuleBO();
    LovVO oLovVO = oHrmAprslStartRuleBO.getWrkGrpLOVData(oLovQueryVO);
    return oLovVO;
  }
  
  public RecordMetaInfo getHrmAprslSpcTmpHdrMetaInfo(HrmAprslSpcTmplQVO oHrmAprslSpcTmplQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    return oHrmAprslSpcTmplBO.getHrmAprslSpcTmpHdrMetaInfo(oHrmAprslSpcTmplQVO);
  }
  
  public ArrayList getHrmAprslSpcTmpHeaderInfo(HrmAprslSpcTmplQVO oHrmAprslSpcTmplQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    return oHrmAprslSpcTmplBO.getHrmAprslSpcTmpHeaderInfo(oHrmAprslSpcTmplQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmAprslSpcTmpKPADtlMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    return oHrmAprslSpcTmplBO.getHrmAprslSpcTmpKPADtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmAprslSpcTmpKPADetailInfo(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    return oHrmAprslSpcTmplBO.getHrmAprslSpcTmpKPADetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmAprslSpcTmpGoalsDtlMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    return oHrmAprslSpcTmplBO.getHrmAprslSpcTmpGoalsDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmAprslSpcTmpGoalsDetailInfo(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    return oHrmAprslSpcTmplBO.getHrmAprslSpcTmpGoalsDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmAprslSpcTmpEligDtlMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    return oHrmAprslSpcTmplBO.getHrmAprslSpcTmpEligDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmAprslSpcTmpEligDetailInfo(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    return oHrmAprslSpcTmplBO.getHrmAprslSpcTmpEligDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public String saveData(HrmAprslSpcTmplHdrBean oHrmAprslSpcTmplHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO(oUserInfo);
      return oHrmAprslSpcTmplBO.saveData((BaseHeaderBean)oHrmAprslSpcTmplHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public String approveHrmAprslSpcTmp(HrmAprslSpcTmplHdrBean oHrmAprslSpcTmplHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO(oUserInfo);
      return oHrmAprslSpcTmplBO.approveHrmAprslSpcTmp((BaseHeaderBean)oHrmAprslSpcTmplHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public String rejectHrmAprslSpcTmp(HrmAprslSpcTmplHdrBean oHrmAprslSpcTmplHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO(oUserInfo);
      return oHrmAprslSpcTmplBO.rejectHrmAprslSpcTmp((BaseHeaderBean)oHrmAprslSpcTmplHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public LovVO getQuerySpcTemplateData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    LovVO oLovVO = oHrmAprslSpcTmplBO.getQuerySpcTemplateData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getTemplateData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    LovVO oLovVO = oHrmAprslSpcTmplBO.getTemplateData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getQueryTemplateData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    LovVO oLovVO = oHrmAprslSpcTmplBO.getQueryTemplateData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getTempSectionData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    LovVO oLovVO = oHrmAprslSpcTmplBO.getTempSectionData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getQueryStartOrdLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    LovVO oLovVO = oHrmAprslSpcTmplBO.getQueryStOrdLOVData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getSpcEmployeeLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslSpcTmplBO oHrmAprslSpcTmplBO = new HrmAprslSpcTmplBO();
    LovVO oLovVO = oHrmAprslSpcTmplBO.getSpcEmployeeLOVData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getHrmAprslTempNameQLOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getHrmAprslTempNameQLOV(oLovQueryVO);
  }
  
  public LovVO getAprslTmplRatingCodeQLOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAppTempBusinessObject oHrmAppTempBusinessObject = new HrmAppTempBusinessObject();
    return oHrmAppTempBusinessObject.getAprslTmplRatingCodeQLOV(oLovQueryVO);
  }
  
  public LovVO getHrmAprslEmpNoLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslEmpNoLOVData(oLovQueryVO);
  }
  
  public RecordMetaInfo getHrmAprslEmpDtlMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmAprslBO oHrmAprslBO = new HrmAprslBO();
    return oHrmAprslBO.getHrmAprslEmpDtlMetaInfo(lPrimaryKey);
  }
}
